import os
os.environ['DJANGO_SETTINGS_MODULE'] = "metastate.settings"
#import metastate
import sys
sys.path.append("C:/Dokumente und Einstellungen/philippt/Eigene Dateien/projects/pic/code/metalab_status/python/django")

from metastate.activity.models import *
import time
from datetime import datetime, timedelta
from pychart import *

def get_seconds(dt):
    return time.mktime(dt.timetuple())

def format_date(t):
    return "/a60{}"+datetime.fromtimestamp(t).strftime('%H:%M')
    
now = datetime.now()
yesterday = now-timedelta(days=1)
recentActivities = Activity.objects.filter(timestamp__gte=yesterday).order_by('timestamp')


plotData = []

for a in recentActivities:
    plotData.append((get_seconds(a.timestamp), a.activity))

print plotData

xaxis = axis.X(label="Date", tic_interval=3600, format=format_date)
yaxis = axis.Y(label="Nerd Factot [K]", tic_interval = 10)
ar = area.T(size=(800, 150), legend=None, x_axis=xaxis, y_axis=yaxis, y_range=(0, None), x_range=(get_seconds(yesterday), get_seconds(now)))
plot = bar_plot.T(label="activity", data=plotData)#, ycol=1)

ar.add_plot(plot)

can = canvas.init("metalab_activity.png", "png")
ar.draw(can)
can.close()

    
    
